var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { CloudFormationClient, DescribeStackEventsCommand, } from '@aws-sdk/client-cloudformation';
/**
 * Returns the stack events
 */
export function describeStackEvents({ accessKey, secretKey, region, stackName, }) {
    var _a;
    return __awaiter(this, void 0, void 0, function* () {
        const cfnClient = new CloudFormationClient({
            region,
            credentials: {
                accessKeyId: accessKey,
                secretAccessKey: secretKey,
            },
        });
        const params = { StackName: stackName };
        let data;
        do {
            data = yield cfnClient.send(new DescribeStackEventsCommand(params));
            params.NextToken = data.NextToken;
        } while (params.NextToken);
        return (_a = data.StackEvents) !== null && _a !== void 0 ? _a : [];
    });
}
//# sourceMappingURL=describeStackEvents.js.map