var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { SFNClient, DescribeExecutionCommand } from '@aws-sdk/client-sfn';
/**
 * Get information about the execution of a step functions state machine
 */
export function describeExecution({ accessKey, secretKey, region, executionArn, }) {
    return __awaiter(this, void 0, void 0, function* () {
        const cfnClient = new SFNClient({
            region,
            credentials: {
                accessKeyId: accessKey,
                secretAccessKey: secretKey,
            },
        });
        const result = yield cfnClient.send(new DescribeExecutionCommand({ executionArn }));
        return result;
    });
}
//# sourceMappingURL=describeExecution.js.map